OGRE-Next: Ogre::v1::VertexMorphKeyFrame Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::v1::VertexMorphKeyFrame Class Reference
Core » Animation

Specialised KeyFrame which stores absolute vertex positions for a complete buffer, designed to be interpolated with other keys in the same track. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::v1::VertexMorphKeyFrame:
[legend]

## Public Member Functions
| VertexMorphKeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
| ~VertexMorphKeyFrame () override
KeyFrame * | _clone (AnimationTrack *newParent) const override
| Clone a keyframe (internal use only).
const HardwareVertexBufferSharedPtr & | getVertexBuffer () const
| Gets the vertex buffer containing positions for this keyframe.
void | setVertexBuffer (const HardwareVertexBufferSharedPtr &buf)
| Sets the vertex buffer containing the source positions for this keyframe.
Public Member Functions inherited from Ogre::v1::KeyFrame
| KeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.
virtual | ~KeyFrame ()
Real | getTime () const
| Gets the time of this keyframe in the animation sequence.

## Detailed Description

Specialised KeyFrame which stores absolute vertex positions for a complete buffer, designed to be interpolated with other keys in the same track.

## Constructor & Destructor Documentation

## ◆ VertexMorphKeyFrame()

Ogre::v1::VertexMorphKeyFrame::VertexMorphKeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time )

Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

## ◆ ~VertexMorphKeyFrame()

Ogre::v1::VertexMorphKeyFrame::~VertexMorphKeyFrame | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ _clone()

KeyFrame * Ogre::v1::VertexMorphKeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const
| overridevirtual

Clone a keyframe (internal use only).

Reimplemented from Ogre::v1::KeyFrame.

References Ogre::v1::KeyFrame::KeyFrame().

## ◆ getVertexBuffer()

const HardwareVertexBufferSharedPtr & Ogre::v1::VertexMorphKeyFrame::getVertexBuffer | ( |  | ) | const

Gets the vertex buffer containing positions for this keyframe.

Referenced by Ogre::VerticesRemapInfo::performAnimationTrackRemap().

## ◆ setVertexBuffer()

void Ogre::v1::VertexMorphKeyFrame::setVertexBuffer | ( | const HardwareVertexBufferSharedPtr & | buf | ) |

Sets the vertex buffer containing the source positions for this keyframe.

Remarks
  We assume that positions are the first 3 float elements in this buffer, although we don't necessarily assume they're the only ones in there.

Parameters

  buf | Vertex buffer link; will not be modified so can be shared read-only data

Referenced by Ogre::VerticesRemapInfo::performAnimationTrackRemap().

The documentation for this class was generated from the following file:

- OgreKeyFrame.h